---
tags:
- text-to-image
- lora
- diffusers
- template:diffusion-lora
- men-character
widget:
- text: >-
    flat lay, a medium-sized young man, dressed in a black t-shirt with a yellow
    collar and a yellow baseball cap on his head. The mans face is angled
    slightly to the left, with a serious expression on his face. His hair is
    styled in a wavy bob, adding a pop of color to the scene. The background is
    a vibrant shade of blue, creating a striking contrast to the mans shirt. The
    word "ADER" is prominently displayed on the front of the shirt, with the
    word "error" written in a bold, red font.
  output:
    url: images/1.png
- text: >-
    flat lay, a young man is seated against a stark white backdrop. He is
    wearing an orange t-shirt, adorned with the word "NATURE" in bold black
    letters, along with a graphic of three flowers. The mans face is turned to
    the right, with a serious expression. His left hand is resting on his knee,
    while his right hand rests on a basketball. His jeans are a dark blue denim,
    adding a pop of color to the scene.
  output:
    url: images/2.png
- text: >-
    flat lay, A medium shot of a young man in a light purple t-shirt with the
    words "FRANKLY, DONT GIVE A TAMN!" written in black letters. The man is
    standing in front of a plain white wall with his left hand on his hip. He
    has short brown hair and a serious look on his face. He is wearing dark gray
    pants with a black stripe on the right side of his shirt.
  output:
    url: images/3.png
- text: >-
    flat lay, a young man is seated against a stark white backdrop. He is
    dressed in a red polo shirt, adorned with a blue collar and a red and yellow
    stripe down the left side of the shirt. His hands are clasped in front of
    him, with a tattoo on his left arm. His right hand is resting on his knee,
    while his left hand rests on his right knee. He is wearing a silver ring on
    his finger, adding a touch of contrast to his outfit. His hair is short and
    neatly combed. His eyes are tinted with a light-colored tint.
  output:
    url: images/4.png
- text: >-
    flat lay, a young man standing against a vibrant yellow backdrop. He is
    wearing a green sweatshirt with the phrase "STAY CURIOUS" printed in white
    on the chest. His dark blue jeans contrast sharply with the background. He
    has curly black hair and wears black-framed glasses. His expression is
    thoughtful, with his right hand resting under his chin. A white wristwatch
    peeks out from his left sleeve, adding a subtle detail to the composition.
  output:
    url: images/5.png
- text: >-
    flat lay, a young man seated on a metal bench with a bright green backdrop
    behind him. He is wearing a red hoodie with "ENERGY" printed on the back in
    bold white letters. His dark gray joggers match his black and white
    sneakers. He has a relaxed posture, with his arms resting on the back of the
    bench. His hair is cropped short, and he wears a silver earring in his left
    ear.
  output:
    url: images/6.png
- text: >-
    flat lay, a young man seated on a light gray floor against a pale yellow
    background. He is wearing a dark green hoodie with the word "ADVENTURE"
    printed in bold white letters. The hoodie has a large front pocket where he
    rests his hands. His dark brown hair is tousled, and he is looking straight
    ahead with a calm expression. His legs are crossed, and he is wearing white
    sneakers with bright red laces.
  output:
    url: images/7.png
- text: >-
    flat lay, a young man is standing against a light gray background. He is
    dressed in a navy blue hoodie with the words "LIMITLESS" printed in bold
    white letters across the chest. His hands are in the pockets of the hoodie,
    and he is wearing black track pants with white stripes running down the
    sides. He has curly black hair and a neutral expression. The background
    creates a subtle contrast with the dark tones of his outfit.
  output:
    url: images/8.png
- text: >-
    flat lay, a young man stands confidently in front of a bright yellow
    background. He’s wearing a oversized green hoodie with the word "CHAOS"
    printed in bold white letters across the chest. His hands are tucked into
    the pockets of his black joggers, and his hair is styled in loose curls. A
    pair of white sneakers adds a clean finish to the look. His expression is
    calm but focused, with his gaze slightly tilted downward.
  output:
    url: images/9.png
- text: >-
    flat lay, A young man seated on a dark wooden bench against a rustic brick
    wall backdrop. He is wearing a dark green sweatshirt with the words "WILD &
    FREE" printed in white letters. His black joggers have two white stripes
    down the side, and he is wearing white sneakers with black soles. His hair
    is messy, and he is gazing down at a book he is holding in his lap. A coffee
    cup is placed beside him on the bench.
  output:
    url: images/10.png
- text: >-
    flat lay, A young man is seated on the floor against a bright yellow
    backdrop. He is wearing a gray hoodie with the words "STAY CHILL" printed in
    neon green. He has ripped black jeans and white high-top sneakers. His head
    is tilted slightly downward, with a thoughtful expression on his face. He
    has medium-length hair styled with a middle parting, and he is holding a
    pair of black wireless headphones in his hands.
  output:
    url: images/11.png
- text: >-
    flat lay, a young man standing against a light gray wall, wearing a white
    hoodie with a bold red heart graphic at the center, and the word "LOVE"
    written underneath it in black letters. He has dark curly hair and is
    wearing round, gold-rimmed glasses. His hands are tucked into the pockets of
    his light gray sweatpants, creating a laid-back and relaxed vibe.
  output:
    url: images/12.png
base_model: black-forest-labs/FLUX.1-dev
instance_prompt: flat lay
license: creativeml-openrail-m
---
![asdasdawsd.png](https://cdn-uploads.huggingface.co/production/uploads/65bb837dbfb878f46c77de4c/MIIAtkFyrXLIJ53uDZoc5.png)

<Gallery />

# **Model description for Flux-FlatLay-LoRA**

Image Processing Parameters 

| Parameter                 | Value  | Parameter                 | Value  |
|---------------------------|--------|---------------------------|--------|
| LR Scheduler              | constant | Noise Offset              | 0.03   |
| Optimizer                 | AdamW  | Multires Noise Discount   | 0.1    |
| Network Dim               | 64     | Multires Noise Iterations | 10     |
| Network Alpha             | 32     | Repeat & Steps           | 28 & 3900 |
| Epoch                     | 23   | Save Every N Epochs       | 1     |

    Labeling: florence2-en(natural language & English)
    
    Total Images Used for Training : 60 [ 14 bit raw Camera Uncompressed Format {CUF} ]

## Best Dimensions & Inference

| **Dimensions** | **Aspect Ratio** | **Recommendation**       |
|-----------------|------------------|---------------------------|
| 1280 x 832      | 3:1              | Compatible                     |
| 1024 x 1024     | 768*1024            | Best                  |
| 1024 x 1024     | 1:1              | Default                  |

### Inference Range & Sample Endpoint / API

- **Recommended Inference Steps:** 30–35

![code_20250107_144534_via_10015_io.png](https://cdn-uploads.huggingface.co/production/uploads/65bb837dbfb878f46c77de4c/o6Dh-Hin705sx5DcYX6vI.png)

## Setting Up
```python
import torch
from pipelines import DiffusionPipeline

base_model = "black-forest-labs/FLUX.1-dev"
pipe = DiffusionPipeline.from_pretrained(base_model, torch_dtype=torch.bfloat16)

lora_repo = "strangerzonehf/Flux-FlatLay-LoRA"
trigger_word = "flat lay"  
pipe.load_lora_weights(lora_repo)

device = torch.device("cuda")
pipe.to(device)
```

## Trigger words

You should use `flat lay` to trigger the image generation.

## Download model

Weights for this model are available in Safetensors format.

[Download](/strangerzonehf/FlatLay-CC1/tree/main) them in the Files & versions tab.